RagTimeSpreadsheetInternal::Spreadsheet Struct Reference

Internal: a spreadsheet's zone of a RagTimeSpreadsheet. More...

## Public Types

typedef std::map< MWAWVec2i, Cell, MWAWVec2i::PosSizeLtY > | Map
| a map a cell sorted by row

## Public Member Functions

| Spreadsheet ()
| constructor
float | getRowHeight (int row) const
| returns the row size in point
float | getRowHeight (int row, int &numRepeated) const
| returns the height of a row in point and updated repeated row
std::vector< float > | getColumnsWidth () const
| returns the columns dimension in point
MWAWVec2i | getRightBottomPosition () const
| returns the spreadsheet dimension

## Public Attributes

int | m_rows
| the number of row
int | m_columns
| the number of col
float | m_widthDefault
| the default column width
std::vector< float > | m_widthCols
| the column size in points
float | m_heightDefault
| the default row height
std::vector< float > | m_heightRows
| the row height in points
long | m_cellsBegin
| the positions of the cells in the file
Map | m_cellsMap
| the map cell position to not empty cells
std::vector< long > | m_rowPositionsList
| the positions of row in the file
std::string | m_name
| the sheet name
bool | m_isSent
| true if the sheet is sent to the listener

## Detailed Description

Internal: a spreadsheet's zone of a RagTimeSpreadsheet.

## Member Typedef Documentation

## Map

typedef std::map<MWAWVec2i,Cell,MWAWVec2i::PosSizeLtY> RagTimeSpreadsheetInternal::Spreadsheet::Map

a map a cell sorted by row

## Constructor & Destructor Documentation

## Spreadsheet()

RagTimeSpreadsheetInternal::Spreadsheet::Spreadsheet | ( |  | ) |

inline

constructor

## Member Function Documentation

## getColumnsWidth()

std::vector< float > RagTimeSpreadsheetInternal::Spreadsheet::getColumnsWidth | ( |  | ) | const

inline

returns the columns dimension in point

Referenced by RagTimeSpreadsheet::send().

## getRightBottomPosition()

MWAWVec2i RagTimeSpreadsheetInternal::Spreadsheet::getRightBottomPosition | ( |  | ) | const

inline

returns the spreadsheet dimension

Referenced by getColumnsWidth().

## getRowHeight() [1/2]

float RagTimeSpreadsheetInternal::Spreadsheet::getRowHeight | ( | int | row | ) | const

inline

returns the row size in point

Referenced by getRowHeight(), and RagTimeSpreadsheet::send().

## getRowHeight() [2/2]

float RagTimeSpreadsheetInternal::Spreadsheet::getRowHeight | ( | int | row,
|  | int & | numRepeated ) const

inline

returns the height of a row in point and updated repeated row

## Member Data Documentation

## m_cellsBegin

long RagTimeSpreadsheetInternal::Spreadsheet::m_cellsBegin

the positions of the cells in the file

Referenced by RagTimeSpreadsheet::readSpreadsheetExtraV2(), and Spreadsheet().

## m_cellsMap

Map RagTimeSpreadsheetInternal::Spreadsheet::m_cellsMap

the map cell position to not empty cells

Referenced by getRightBottomPosition(), RagTimeSpreadsheet::readSpreadsheetCellsV2(), RagTimeSpreadsheet::readSpreadsheetComplexStructure(), RagTimeSpreadsheet::send(), and Spreadsheet().

## m_columns

int RagTimeSpreadsheetInternal::Spreadsheet::m_columns

the number of col

Referenced by Spreadsheet().

## m_heightDefault

float RagTimeSpreadsheetInternal::Spreadsheet::m_heightDefault

the default row height

Referenced by getRowHeight(), and Spreadsheet().

## m_heightRows

std::vector<float> RagTimeSpreadsheetInternal::Spreadsheet::m_heightRows

the row height in points

Referenced by getRowHeight(), getRowHeight(), RagTimeSpreadsheet::readSpreadsheetCellDimension(), RagTimeSpreadsheet::readSpreadsheetExtraV2(), and Spreadsheet().

## m_isSent

bool RagTimeSpreadsheetInternal::Spreadsheet::m_isSent

mutable

true if the sheet is sent to the listener

Referenced by RagTimeSpreadsheet::send(), and Spreadsheet().

## m_name

std::string RagTimeSpreadsheetInternal::Spreadsheet::m_name

the sheet name

Referenced by RagTimeSpreadsheet::send(), and Spreadsheet().

## m_rowPositionsList

std::vector<long> RagTimeSpreadsheetInternal::Spreadsheet::m_rowPositionsList

the positions of row in the file

Referenced by RagTimeSpreadsheet::readSpreadsheetCellsV2(), RagTimeSpreadsheet::readSpreadsheetExtraV2(), and Spreadsheet().

## m_rows

int RagTimeSpreadsheetInternal::Spreadsheet::m_rows

the number of row

Referenced by Spreadsheet().

## m_widthCols

std::vector<float> RagTimeSpreadsheetInternal::Spreadsheet::m_widthCols

the column size in points

Referenced by getColumnsWidth(), RagTimeSpreadsheet::readSpreadsheetCellDimension(), RagTimeSpreadsheet::readSpreadsheetExtraV2(), and Spreadsheet().

## m_widthDefault

float RagTimeSpreadsheetInternal::Spreadsheet::m_widthDefault

the default column width

Referenced by getColumnsWidth(), and Spreadsheet().

The documentation for this struct was generated from the following file:

- RagTimeSpreadsheet.cxx